Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.context.file
Class FileSystemContext

    java.lang.Object
      org.jboss.virtual.plugins.context.AbstractVFSContext
          org.jboss.virtual.plugins.context.file.FileSystemContext

All Implemented Interfaces:
  VFSContext

    public class FileSystemContext

extends AbstractVFSContext

FileSystemContext.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.virtual.plugins.context.AbstractVFSContext
`log`

Constructor Summary
`FileSystemContext(java.io.File file)` Create a new FileSystemContext.
`FileSystemContext(java.net.URI rootURI)` Create a new FileSystemContext.
`FileSystemContext(java.net.URL rootURL)` Create a new FileSystemContext.

Method Summary
`VirtualFileHandler` | `createVirtualFileHandler(VirtualFileHandler parent, java.io.File file)` Create a new virtual file handler
`VirtualFileHandler` | `createVirtualFileHandler(VirtualFileHandler parent, java.io.File file, java.net.URI uri)` Create a new virtual file handler
`protected void` | `finalize()`
`VirtualFileHandler` | `getRoot()` Return the root virtual file

Methods inherited from class org.jboss.virtual.plugins.context.AbstractVFSContext
`equals, findChild, getChildren, getOptions, getRootURI, getVFS, hashCode, toString, visit, visit`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileSystemContext

    public FileSystemContext(java.net.URL rootURL)
                      throws java.io.IOException,
                             java.net.URISyntaxException

  Create a new FileSystemContext.

  Parameters:
    `rootURL` - the root url
  Throws:
    `java.io.IOException` - for an error accessing the file system
    `java.net.URISyntaxException` - for an error parsing the uri

### FileSystemContext

    public FileSystemContext(java.net.URI rootURI)
                      throws java.io.IOException

  Create a new FileSystemContext.

  Parameters:
    `rootURI` - the root uri
  Throws:
    `java.io.IOException` - for an error accessing the file system

### FileSystemContext

    public FileSystemContext(java.io.File file)
                      throws java.io.IOException,
                             java.net.URISyntaxException

  Create a new FileSystemContext.

  Parameters:
    `file` - the root file
  Throws:
    `java.io.IOException` - for an error accessing the file system
    `java.lang.IllegalArgumentException` - for a null file
    `java.net.URISyntaxException` - for an error parsing the uri

Method Detail

### getRoot

    public VirtualFileHandler getRoot()
                               throws java.io.IOException

  Description copied from interface: `VFSContext`
  Return the root virtual file

  Returns:
    the root
  Throws:
    `java.io.IOException` - for any problem accessing the VFS

### createVirtualFileHandler

    public VirtualFileHandler createVirtualFileHandler(VirtualFileHandler parent,
                                                       java.io.File file)
                                                throws java.io.IOException

  Create a new virtual file handler

  Parameters:
    `parent` - the parent
    `file` - the file
  Returns:
    the handler
  Throws:
    `java.io.IOException` - for any error accessing the file system
    `java.lang.IllegalArgumentException` - for a null file

### createVirtualFileHandler

    public VirtualFileHandler createVirtualFileHandler(VirtualFileHandler parent,
                                                       java.io.File file,
                                                       java.net.URI uri)
                                                throws java.io.IOException

  Create a new virtual file handler

  Parameters:
    `parent` - the parent
    `file` - the file
    `uri` - the uri
  Returns:
    the handler
  Throws:
    `java.io.IOException` - for any error accessing the file system
    `java.lang.IllegalArgumentException` - for a null file

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD